Package org.jboss.logmanager.handlers

# Enum ConsoleHandler.Target

java.lang.Object
java.lang.Enum<ConsoleHandler.Target>
org.jboss.logmanager.handlers.ConsoleHandler.Target

All Implemented Interfaces:
  `Serializable`, `Comparable<ConsoleHandler.Target>`, `java.lang.constant.Constable`

Enclosing class:
  `ConsoleHandler`

public static enum ConsoleHandler.Target extends Enum<ConsoleHandler.Target>
The target stream type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONSOLE`
The target for `System.console()`.
`SYSTEM_ERR`
The target for `System.err`.
`SYSTEM_OUT`
The target for `System.out`.

## Method Summary

Modifier and Type
Method
Description
`static ConsoleHandler.Target`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConsoleHandler.Target[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SYSTEM_OUT

public static final ConsoleHandler.Target SYSTEM_OUT
The target for `System.out`.

### SYSTEM_ERR

public static final ConsoleHandler.Target SYSTEM_ERR
The target for `System.err`.

### CONSOLE

public static final ConsoleHandler.Target CONSOLE
The target for `System.console()`.

## Method Details

### values

public static ConsoleHandler.Target[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConsoleHandler.Target valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null